Show / Hide Table of Contents

# AsyncSubmitTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncSubmitTrigger : AsyncTriggerBase<BaseEventData>, IUniTaskAsyncEnumerable<BaseEventData>, ISubmitHandler

##### Inheritance

System.Object → AsyncTriggerBase<BaseEventData> → AsyncSubmitTrigger

##### Implements

IUniTaskAsyncEnumerable<BaseEventData>
ISubmitHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnSubmitAsyncHandler() |
GetOnSubmitAsyncHandler(CancellationToken) |
OnSubmitAsync() |
OnSubmitAsync(CancellationToken) |

### Methods

#### GetOnSubmitAsyncHandler()

    public IAsyncOnSubmitHandler GetOnSubmitAsyncHandler()

##### Returns

IAsyncOnSubmitHandler

#### GetOnSubmitAsyncHandler(CancellationToken)

    public IAsyncOnSubmitHandler GetOnSubmitAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnSubmitHandler

#### OnSubmitAsync()

    public UniTask<BaseEventData> OnSubmitAsync()

##### Returns

UniTask<BaseEventData>

#### OnSubmitAsync(CancellationToken)

    public UniTask<BaseEventData> OnSubmitAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<BaseEventData>

### Implements

IUniTaskAsyncEnumerable<T>
ISubmitHandler